--- /dev/null
+#!/bin/sh
+[ -n "${IPKG_INSTROOT}" ] || {
+ /etc/init.d/lucittpd enable
+ /etc/init.d/lucittpd start
+}
+
local os = require "os"
local io = require "io"
+local uci = require "luci.model.uci"
local util = require "luci.util"
local ltn12 = require "luci.ltn12"
local proto = require "luci.http.protocol"
Server = util.class()
function Server.__init__(self, host)
+ self.uci = uci.cursor()
self.host = host
self.vhosts = {}
close = not message.env.HTTP_CONNECTION or message.env.HTTP_CONNECTION == "close"
end
-- Uncomment this to disable keep-alive
- -- close = true
+ close = not (self.uci:get("lucittpd", "lucittpd", "keepalive") == "1")
if message.request_method == "get" or message.request_method == "head" then
-- Be happy
--- /dev/null
+config lucittpd lucittpd
+ option port 80
+ option timeout 90
+ option keepalive 0
+ option path /usr/lib/lucittpd/plugins/
+ option root /www
--- /dev/null
+#!/bin/sh /etc/rc.common
+PATH=/usr/local/sbin:/usr/local/bin:/sbin:/bin:/usr/sbin:/usr/bin
+DAEMON=/usr/bin/lucittpd
+NAME=lucittpd
+DESC="HTTP server"
+START=49
+
+test -x $DAEMON || exit 0
+set -e
+
+start() {
+ echo -n "Starting $DESC: $NAME"
+ start-stop-daemon -S -q -x $DAEMON
+ echo "."
+}
+
+stop() {
+ echo -n "Stopping $DESC: $NAME"
+ start-stop-daemon -K -q -x $DAEMON
+ echo "."
+}
+
+restart() {
+ # echo -n "Restarting $DESC: $NAME... "
+ # start-stop-daemon -K -s HUP -q -x $DAEMON
+ # echo "done."
+ stop
+ sleep 3
+ start
+}
+
+reload() {
+ #
+ # If the daemon can reload its config files on the fly
+ # for example by sending it SIGHUP, do it here.
+ #
+ # If the daemon responds to changes in its config file
+ # directly anyway, make this a do-nothing entry.
+ #
+ # echo -n "Reloading $DESC configuration... "
+ # start-stop-daemon -K -s 1 -q -x $DAEMON
+ # echo "done."
+ restart
+}
-- Register luci
function register()
- local lucihnd = require "luci.ttpd.handler.luci"
- httpd.server:get_default_vhost():set_handler("/luci", lucihnd.Luci())
-end
\ No newline at end of file
+ local lucihnd = require "luci.ttpd.handler.luci".Luci()
+ httpd.server:get_default_vhost():set_handler("/luci", lucihnd)
+ httpd.server:get_default_vhost():set_handler("/cgi-bin/luci", lucihnd)
+end